GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/xml-syscall.h File Reference

Go to the source code of this file.

## Functions
void | set_xml_syscall_file_name (struct gdbarch *gdbarch, const char *name)
void | get_syscall_by_number (struct gdbarch *gdbarch, int syscall_number, struct syscall *s)
void | get_syscall_by_name (struct gdbarch *gdbarch, const char *syscall_name, struct syscall *s)
const char ** | get_syscall_names (struct gdbarch *gdbarch)
struct syscall * | get_syscalls_by_group (struct gdbarch *gdbarch, const char *group)
const char ** | get_syscall_group_names (struct gdbarch *gdbarch)

## Function Documentation

## ◆ get_syscall_by_name()

void get_syscall_by_name | ( | struct gdbarch * | gdbarch,
|  | const char * | syscall_name,
|  | struct syscall * | s
| ) |  |

Definition at line 529 of file xml-syscall.c.

References init_syscalls_info(), syscall::name, syscall::number, and xml_get_syscall_number().

Referenced by catch_syscall_split_args().

## ◆ get_syscall_by_number()

void get_syscall_by_number | ( | struct gdbarch * | gdbarch,
|  | int | syscall_number,
|  | struct syscall * | s
| ) |  |

Definition at line 519 of file xml-syscall.c.

References init_syscalls_info(), syscall::name, syscall::number, and xml_get_syscall_name().

Referenced by catch_syscall_command_1(), catch_syscall_split_args(), print_it_catch_syscall(), print_mention_catch_syscall(), print_one_catch_syscall(), and print_recreate_catch_syscall().

## ◆ get_syscall_group_names()

const char** get_syscall_group_names | ( | struct gdbarch * | gdbarch | ) |

Definition at line 559 of file xml-syscall.c.

References init_syscalls_info(), and xml_list_of_groups().

Referenced by catch_syscall_completer().

## ◆ get_syscall_names()

const char** get_syscall_names | ( | struct gdbarch * | gdbarch | ) |

Definition at line 539 of file xml-syscall.c.

References init_syscalls_info(), and xml_list_of_syscalls().

Referenced by catch_syscall_completer().

## ◆ get_syscalls_by_group()

struct syscall* get_syscalls_by_group | ( | struct gdbarch * | gdbarch,
|  | const char * | group
| ) |  |

Definition at line 549 of file xml-syscall.c.

References init_syscalls_info(), and xml_list_syscalls_by_group().

Referenced by catch_syscall_split_args().

## ◆ set_xml_syscall_file_name()

void set_xml_syscall_file_name | ( | struct gdbarch * | gdbarch,
|  | const char * | name
| ) |  |

Definition at line 513 of file xml-syscall.c.

References name, and set_gdbarch_xml_syscall_file().

Referenced by aarch64_linux_init_abi(), amd64_linux_init_abi_common(), arm_linux_init_abi(), bfin_linux_init_abi(), fbsd_init_abi(), i386_linux_init_abi(), mips_linux_init_abi(), ppc_linux_init_abi(), s390_gdbarch_init(), sparc32_linux_init_abi(), and sparc64_linux_init_abi().